Bug 57850 - pam_limits breaks large file support
pam_limits breaks large file support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jindrich Novy
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-28 00:24 EST by Richard Harman
Modified: 2013-07-02 18:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-17 10:07:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Harman 2001-12-28 00:24:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.16 i686; Nav)

Description of problem:
with pam_limits in /etc/pam.d/{shell login service, eg ssh} programs trying
to access data over the 2gb limit die with -EBIG

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. add 'session    required     /lib/security/pam_limits.so' to openssh's
/etc/pam.d/sshd
2. ssh in as a non-root user
3. su to root
4. mke2fs /dev/hdx1 

	

Actual Results:  # mke2fs -O sparse_super -T largefile /dev/hdc1
mke2fs 1.23, 15-Aug-2001 for EXT2 FS 0.5b, 95/08/09
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
19584 inodes, 4984552 blocks
249227 blocks (5.00%) reserved for the super user
First data block=0
153 block groups
32768 blocks per group, 32768 fragments per group
128 inodes per group
Superblock backups stored on blocks: 
        32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632,
2654208, 
        4096000

File size limit exceeded (core dumped)


Expected Results:  not to die with file size limit

Additional info:

# rpm -qa | egrep "pam|libc|e2";uname -a
glibc-2.1.3-23
e2fsprogs-1.23-2
pam-0.72-20.6.x
glibc-devel-2.1.3-23
e2fsprogs-devel-1.23-2
Linux darkstar 2.4.10 #1 Mon Dec 24 16:01:44 EST 2001 i586 unknown
Comment 1 Karel Zak 2004-09-09 08:00:11 EDT
I cannot repeat it in current (FC2) system. Probably good time close
it :-)

Note You need to log in before you can comment on or make changes to this bug.